%global pypi_name podman
%global desc %{pypi_name} is a library of bindings to use the RESTful API for Podman.

Name: python-%{pypi_name}
Version: 3.2.0
Release: 2%{?dist}
Summary: RESTful API for Podman
License: ASL 2.0
URL: https://github.com/containers/%{pypi_name}-py
Source0: %{url}/archive/v%{version}.tar.gz
BuildArch: noarch

%description 
%desc

%package -n python%{python3_pkgversion}-%{pypi_name}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
%if 0%{?fedora} || 0%{?rhel} >= 9
BuildRequires: python%{python3_pkgversion}-toml
Requires: python%{python3_pkgversion}-toml
%else
BuildRequires: python%{python3_pkgversion}-pytoml
Requires: python%{python3_pkgversion}-pytoml
%endif
BuildRequires: python%{python3_pkgversion}-pyxdg
BuildRequires: python%{python3_pkgversion}-requests
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: git-core
Requires: python%{python3_pkgversion}-pyxdg
Requires: python%{python3_pkgversion}-requests
Provides: %{pypi_name}-py = %{version}-%{release}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
%desc

%prep
%autosetup -Sgit_am -n %{pypi_name}-py-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-podman
%license LICENSE
%doc README.md
%{python3_sitelib}/podman/*
%{python3_sitelib}/podman-*/*

%changelog
* Wed Jul 28 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.2.0-2
- depend on python3-requests
- Resolves: #1978415 - initial upload to rhel

* Wed Jul 28 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.2.0-1
- Bump to v3.2.0

* Tue May 04 2021 Lokesh Mandvekar <lsm5@fedoraproject.org> - 3.1.2.4-1
- Initial package

